<div class="container">

  <form class="form"
        (ngSubmit)="save()"
        [formGroup]="form">

    <h1 [class.header-with-error]="registrationError">
      {{'signIn' | translate}}
    </h1>

    <div class="registration-error-container"
         *ngIf="registrationError">
      <p class="validation-error">
        {{registrationError | translate}}
      </p>
    </div>

    <div class="input-container">

      <div class="form-control">
        <p>{{'userName' | translate}}:</p>
        <input formControlName="userName" type="text">

        <div class="validation-error-container"
             *ngIf="form.get('userName')?.touched && form.get('userName')?.errors">
          <p class="validation-error" *ngFor="let error of getValidationErrors('userName')">
            {{(error + 'ErrorMessage') | translate}}
          </p>
        </div>

      </div>

      <div class="form-control">
        <p>{{'email' | translate}}:</p>
        <input formControlName="email" type="email">

        <div class="validation-error-container"
             *ngIf="form.get('email')?.touched && form.get('email')?.errors">
          <p class="validation-error" *ngFor="let error of getValidationErrors('email')">
            {{(error + 'ErrorMessage') | translate}}
          </p>
        </div>

      </div>

      <div class="form-control">
        <p>{{'phoneNumber' | translate}}:</p>
        <input formControlName="phoneNumber" type="tel">

        <div class="validation-error-container"
             *ngIf="form.get('phoneNumber')?.touched">
          <p class="validation-error" *ngFor="let error of getValidationErrors('phoneNumber')">
            {{(error + 'ErrorMessage') | translate}}
          </p>
        </div>

      </div>

      <div class="form-control">
        <p>{{'birthDate' | translate}}:</p>
        <input formControlName="birthDate" type="date">

        <div class="validation-error-container"
             *ngIf="form.get('birthDate')?.touched">
          <p class="validation-error" *ngFor="let error of getValidationErrors('birthDate')">
            {{(error + 'ErrorMessage') | translate}}
          </p>
        </div>

      </div>

      <div class="form-control">
        <p>{{'password' | translate}}:</p>
        <input formControlName="password" type="password">

        <div class="validation-error-container"
             *ngIf="form.get('password')?.touched && form.get('password')?.errors">
          <p class="validation-error" *ngFor="let error of getValidationErrors('password')">
            {{(error + 'ErrorMessage') | translate}}
          </p>
        </div>

      </div>

      <div class="form-control">
        <p>{{'passwordConfirmation' | translate}}:</p>
        <input formControlName="passwordConfirmation" type="password">

        <div class="validation-error-container"
             *ngIf="form.get('passwordConfirmation')?.touched && form.get('passwordConfirmation')?.errors">
          <p class="validation-error" *ngFor="let error of getValidationErrors('passwordConfirmation')">
            {{(error + 'ErrorMessage') | translate}}
          </p>
        </div>

      </div>

      <div class="checkbox-container">

        <div class="checkbox">
          <input formControlName="confirmSendingEmails" type="checkbox">
          <span>{{'confirmSendingEmails' | translate}}</span>
        </div>

        <div class="checkbox">
          <input formControlName="confirmTermsOfUser" type="checkbox">
          <span>{{'confirmTermsOfUser' | translate}}</span>
        </div>

      </div>

    </div>

    <app-button
      [type]="'submit'"
      [name]="'signIn' | translate"
      [disabled]="isSaveButtonDisabled()">
    </app-button>

  </form>

</div>
